Get Service Info

Get Service Info
Get information about a specific Service that is part of the VMware Cloud Foundation Operations stack

The information returned includes the Health of the Service, uptime, start time of the service and etc.
Specifically the Health of the Service is 'OK', when the Service is running and responsive, otherwise it is 'Error'.

Request
URI
GET
https://{api_host}/suite-api/api/deployment/node/services/{name}/info
COPY
Path Parameters
string
name
Required  

The name of the Service

Enumeration: UI, ADMINUI, CASA, ANALYTICS, COLLECTOR, API, LOCATOR, UNKNOWN

Authentication
This operation uses the following authentication methods.
Responses
200

Service is Healthy

Returns service of type(s) application/json
"{\n  \"name\" : \"ADMINUI\",\n  \"health\" : \"OK\"\n}"
string
details
Optional

An optional message field that provides details especially in case of errors

string
health
Required  

Service Health types

Enumeration: UNKNOWN, INVALID, OK, WARNING, ERROR
array of object
links
Optional

Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.

string
name
Required  

List of Services that are part of the VMware Cloud Foundation Operations stack

Enumeration: UI, ADMINUI, CASA, ANALYTICS, COLLECTOR, API, LOCATOR, UNKNOWN
string
startedBy
Optional

OS user that started the Service

integer As int64 As int64
startedOn
Optional

When the Service was started (Epoch time in milliseconds)

integer As int64 As int64
uptime
Optional

Uptime of the Service (Epoch time in milliseconds)


400

Service is not valid

Operation doesn't return any data structure

503

Service is not Healthy

Returns service of type(s) application/json
"{\n  \"name\" : \"ADMINUI\",\n  \"health\" : \"ERROR\"\n}"
string
details
Optional

An optional message field that provides details especially in case of errors

string
health
Required  

Service Health types

Enumeration: UNKNOWN, INVALID, OK, WARNING, ERROR
array of object
links
Optional

Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.

string
name
Required  

List of Services that are part of the VMware Cloud Foundation Operations stack

Enumeration: UI, ADMINUI, CASA, ANALYTICS, COLLECTOR, API, LOCATOR, UNKNOWN
string
startedBy
Optional

OS user that started the Service

integer As int64 As int64
startedOn
Optional

When the Service was started (Epoch time in milliseconds)

integer As int64 As int64
uptime
Optional

Uptime of the Service (Epoch time in milliseconds)


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/deployment/node/services/{name}/info